// !$*UTF8*$!
{
	archiveVersion = 1;
	classes = {
	};
	objectVersion = 51;
	objects = {

/* Begin PBXBuildFile section */
		3710ED9FBEAE50B9FE5AFEF0 /* Pods_TelstraCodingTest.framework in Frameworks */ = {isa = PBXBuildFile; fileRef = B683A27FC60F9B48B086A423 /* Pods_TelstraCodingTest.framework */; };
		5C348C612436142F002E3003 /* AppDelegate.swift in Sources */ = {isa = PBXBuildFile; fileRef = 5C348C602436142F002E3003 /* AppDelegate.swift */; };
		5C348C652436142F002E3003 /* HomeViewController.swift in Sources */ = {isa = PBXBuildFile; fileRef = 5C348C642436142F002E3003 /* HomeViewController.swift */; };
		5C348C6A24361433002E3003 /* Assets.xcassets in Resources */ = {isa = PBXBuildFile; fileRef = 5C348C6924361433002E3003 /* Assets.xcassets */; };
		5C348C84243619E3002E3003 /* Application.swift in Sources */ = {isa = PBXBuildFile; fileRef = 5C348C83243619E3002E3003 /* Application.swift */; };
		5C348C8A2436337F002E3003 /* Launch Screen.storyboard in Resources */ = {isa = PBXBuildFile; fileRef = 5C348C892436337F002E3003 /* Launch Screen.storyboard */; };
		5C348C8F24363675002E3003 /* HomeTableViewCell.swift in Sources */ = {isa = PBXBuildFile; fileRef = 5C348C8E24363675002E3003 /* HomeTableViewCell.swift */; };
		5C348C9324369042002E3003 /* Reusable.swift in Sources */ = {isa = PBXBuildFile; fileRef = 5C348C9224369042002E3003 /* Reusable.swift */; };
		5C348C96243693CA002E3003 /* InformationRecord.swift in Sources */ = {isa = PBXBuildFile; fileRef = 5C348C95243693CA002E3003 /* InformationRecord.swift */; };
		5C348C982436950D002E3003 /* Information.swift in Sources */ = {isa = PBXBuildFile; fileRef = 5C348C972436950D002E3003 /* Information.swift */; };
		5C348C9B2436B14C002E3003 /* Network.swift in Sources */ = {isa = PBXBuildFile; fileRef = 5C348C9A2436B14C002E3003 /* Network.swift */; };
		5C348C9D2436B551002E3003 /* NetworkError.swift in Sources */ = {isa = PBXBuildFile; fileRef = 5C348C9C2436B551002E3003 /* NetworkError.swift */; };
		5C348CA02436BA69002E3003 /* InformationApi.swift in Sources */ = {isa = PBXBuildFile; fileRef = 5C348C9F2436BA69002E3003 /* InformationApi.swift */; };
		5C348CA22436BF86002E3003 /* HomeNavigator.swift in Sources */ = {isa = PBXBuildFile; fileRef = 5C348CA12436BF86002E3003 /* HomeNavigator.swift */; };
		5C348CA42436C188002E3003 /* NetworkProvider.swift in Sources */ = {isa = PBXBuildFile; fileRef = 5C348CA32436C188002E3003 /* NetworkProvider.swift */; };
		5C348CA62436C600002E3003 /* HomeViewModel.swift in Sources */ = {isa = PBXBuildFile; fileRef = 5C348CA52436C600002E3003 /* HomeViewModel.swift */; };
		5C348CAE24371CEE002E3003 /* HomeViewModelTestsUtilis.swift in Sources */ = {isa = PBXBuildFile; fileRef = 5C348CAD24371CED002E3003 /* HomeViewModelTestsUtilis.swift */; };
		5C348CB2243749B0002E3003 /* HomeViewModelTests.swift in Sources */ = {isa = PBXBuildFile; fileRef = 5C348CB1243749B0002E3003 /* HomeViewModelTests.swift */; };
		5C348CB524374A58002E3003 /* InformationTests.swift in Sources */ = {isa = PBXBuildFile; fileRef = 5C348CB424374A58002E3003 /* InformationTests.swift */; };
		5C348CBB24374D83002E3003 /* NetworkTests.swift in Sources */ = {isa = PBXBuildFile; fileRef = 5C348CBA24374D83002E3003 /* NetworkTests.swift */; };
		844870DE6CD02269AC3129F9 /* Pods_TelstraCodingTestTests.framework in Frameworks */ = {isa = PBXBuildFile; fileRef = 6925B4AFE514F8746BD21484 /* Pods_TelstraCodingTestTests.framework */; };
/* End PBXBuildFile section */

/* Begin PBXContainerItemProxy section */
		5C348C7424361433002E3003 /* PBXContainerItemProxy */ = {
			isa = PBXContainerItemProxy;
			containerPortal = 5C348C552436142E002E3003 /* Project object */;
			proxyType = 1;
			remoteGlobalIDString = 5C348C5C2436142F002E3003;
			remoteInfo = TelstraCodingTest;
		};
/* End PBXContainerItemProxy section */

/* Begin PBXFileReference section */
		0C578E8B9923BC4840087C30 /* Pods-TelstraCodingTest.debug.xcconfig */ = {isa = PBXFileReference; includeInIndex = 1; lastKnownFileType = text.xcconfig; name = "Pods-TelstraCodingTest.debug.xcconfig"; path = "Target Support Files/Pods-TelstraCodingTest/Pods-TelstraCodingTest.debug.xcconfig"; sourceTree = "<group>"; };
		5C348C5D2436142F002E3003 /* TelstraCodingTest.app */ = {isa = PBXFileReference; explicitFileType = wrapper.application; includeInIndex = 0; path = TelstraCodingTest.app; sourceTree = BUILT_PRODUCTS_DIR; };
		5C348C602436142F002E3003 /* AppDelegate.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = AppDelegate.swift; sourceTree = "<group>"; };
		5C348C642436142F002E3003 /* HomeViewController.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = HomeViewController.swift; sourceTree = "<group>"; };
		5C348C6924361433002E3003 /* Assets.xcassets */ = {isa = PBXFileReference; lastKnownFileType = folder.assetcatalog; path = Assets.xcassets; sourceTree = "<group>"; };
		5C348C6E24361433002E3003 /* Info.plist */ = {isa = PBXFileReference; lastKnownFileType = text.plist.xml; path = Info.plist; sourceTree = "<group>"; };
		5C348C7324361433002E3003 /* TelstraCodingTestTests.xctest */ = {isa = PBXFileReference; explicitFileType = wrapper.cfbundle; includeInIndex = 0; path = TelstraCodingTestTests.xctest; sourceTree = BUILT_PRODUCTS_DIR; };
		5C348C7924361433002E3003 /* Info.plist */ = {isa = PBXFileReference; lastKnownFileType = text.plist.xml; path = Info.plist; sourceTree = "<group>"; };
		5C348C83243619E3002E3003 /* Application.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = Application.swift; sourceTree = "<group>"; };
		5C348C892436337F002E3003 /* Launch Screen.storyboard */ = {isa = PBXFileReference; lastKnownFileType = file.storyboard; path = "Launch Screen.storyboard"; sourceTree = "<group>"; };
		5C348C8E24363675002E3003 /* HomeTableViewCell.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = HomeTableViewCell.swift; sourceTree = "<group>"; };
		5C348C9224369042002E3003 /* Reusable.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = Reusable.swift; sourceTree = "<group>"; };
		5C348C95243693CA002E3003 /* InformationRecord.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = InformationRecord.swift; sourceTree = "<group>"; };
		5C348C972436950D002E3003 /* Information.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = Information.swift; sourceTree = "<group>"; };
		5C348C9A2436B14C002E3003 /* Network.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = Network.swift; sourceTree = "<group>"; };
		5C348C9C2436B551002E3003 /* NetworkError.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = NetworkError.swift; sourceTree = "<group>"; };
		5C348C9F2436BA69002E3003 /* InformationApi.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = InformationApi.swift; sourceTree = "<group>"; };
		5C348CA12436BF86002E3003 /* HomeNavigator.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = HomeNavigator.swift; sourceTree = "<group>"; };
		5C348CA32436C188002E3003 /* NetworkProvider.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = NetworkProvider.swift; sourceTree = "<group>"; };
		5C348CA52436C600002E3003 /* HomeViewModel.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = HomeViewModel.swift; sourceTree = "<group>"; };
		5C348CAD24371CED002E3003 /* HomeViewModelTestsUtilis.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = HomeViewModelTestsUtilis.swift; sourceTree = "<group>"; };
		5C348CB1243749B0002E3003 /* HomeViewModelTests.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = HomeViewModelTests.swift; sourceTree = "<group>"; };
		5C348CB424374A58002E3003 /* InformationTests.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = InformationTests.swift; sourceTree = "<group>"; };
		5C348CBA24374D83002E3003 /* NetworkTests.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = NetworkTests.swift; sourceTree = "<group>"; };
		6925B4AFE514F8746BD21484 /* Pods_TelstraCodingTestTests.framework */ = {isa = PBXFileReference; explicitFileType = wrapper.framework; includeInIndex = 0; path = Pods_TelstraCodingTestTests.framework; sourceTree = BUILT_PRODUCTS_DIR; };
		AD33D7A735CC1447B1D877FC /* Pods-TelstraCodingTestTests.release.xcconfig */ = {isa = PBXFileReference; includeInIndex = 1; lastKnownFileType = text.xcconfig; name = "Pods-TelstraCodingTestTests.release.xcconfig"; path = "Target Support Files/Pods-TelstraCodingTestTests/Pods-TelstraCodingTestTests.release.xcconfig"; sourceTree = "<group>"; };
		B4046C8E0F656D7C6A616F42 /* Pods-TelstraCodingTestTests.debug.xcconfig */ = {isa = PBXFileReference; includeInIndex = 1; lastKnownFileType = text.xcconfig; name = "Pods-TelstraCodingTestTests.debug.xcconfig"; path = "Target Support Files/Pods-TelstraCodingTestTests/Pods-TelstraCodingTestTests.debug.xcconfig"; sourceTree = "<group>"; };
		B683A27FC60F9B48B086A423 /* Pods_TelstraCodingTest.framework */ = {isa = PBXFileReference; explicitFileType = wrapper.framework; includeInIndex = 0; path = Pods_TelstraCodingTest.framework; sourceTree = BUILT_PRODUCTS_DIR; };
		C7BB6E4799026BFFED12FAB2 /* Pods-TelstraCodingTest.release.xcconfig */ = {isa = PBXFileReference; includeInIndex = 1; lastKnownFileType = text.xcconfig; name = "Pods-TelstraCodingTest.release.xcconfig"; path = "Target Support Files/Pods-TelstraCodingTest/Pods-TelstraCodingTest.release.xcconfig"; sourceTree = "<group>"; };
/* End PBXFileReference section */

/* Begin PBXFrameworksBuildPhase section */
		5C348C5A2436142F002E3003 /* Frameworks */ = {
			isa = PBXFrameworksBuildPhase;
			buildActionMask = 2147483647;
			files = (
				3710ED9FBEAE50B9FE5AFEF0 /* Pods_TelstraCodingTest.framework in Frameworks */,
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
		5C348C7024361433002E3003 /* Frameworks */ = {
			isa = PBXFrameworksBuildPhase;
			buildActionMask = 2147483647;
			files = (
				844870DE6CD02269AC3129F9 /* Pods_TelstraCodingTestTests.framework in Frameworks */,
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
/* End PBXFrameworksBuildPhase section */

/* Begin PBXGroup section */
		5C348C542436142E002E3003 = {
			isa = PBXGroup;
			children = (
				5C348C5F2436142F002E3003 /* TelstraCodingTest */,
				5C348C7624361433002E3003 /* TelstraCodingTestTests */,
				5C348C5E2436142F002E3003 /* Products */,
				C235B760F44F078A4C6ECCEE /* Pods */,
				A30886D195D3F76D8C9CE530 /* Frameworks */,
			);
			sourceTree = "<group>";
		};
		5C348C5E2436142F002E3003 /* Products */ = {
			isa = PBXGroup;
			children = (
				5C348C5D2436142F002E3003 /* TelstraCodingTest.app */,
				5C348C7324361433002E3003 /* TelstraCodingTestTests.xctest */,
			);
			name = Products;
			sourceTree = "<group>";
		};
		5C348C5F2436142F002E3003 /* TelstraCodingTest */ = {
			isa = PBXGroup;
			children = (
				5C348C82243619D3002E3003 /* Application */,
				5C348C94243693A5002E3003 /* Models */,
				5C348C9924369693002E3003 /* Network */,
				5C348C8B243635FA002E3003 /* Scenes */,
				5C348C9124369018002E3003 /* Resources */,
				5C348C902436900F002E3003 /* Utility */,
				5C348C892436337F002E3003 /* Launch Screen.storyboard */,
				5C348C6E24361433002E3003 /* Info.plist */,
			);
			path = TelstraCodingTest;
			sourceTree = "<group>";
		};
		5C348C7624361433002E3003 /* TelstraCodingTestTests */ = {
			isa = PBXGroup;
			children = (
				5C348CB924374D75002E3003 /* NetworkTests */,
				5C348CB324374A3E002E3003 /* ModelTests */,
				5C348CAF24374998002E3003 /* ViewModelTests */,
				5C348C7924361433002E3003 /* Info.plist */,
			);
			path = TelstraCodingTestTests;
			sourceTree = "<group>";
		};
		5C348C82243619D3002E3003 /* Application */ = {
			isa = PBXGroup;
			children = (
				5C348C602436142F002E3003 /* AppDelegate.swift */,
				5C348C83243619E3002E3003 /* Application.swift */,
			);
			path = Application;
			sourceTree = "<group>";
		};
		5C348C8B243635FA002E3003 /* Scenes */ = {
			isa = PBXGroup;
			children = (
				5C348C8C24363607002E3003 /* Home */,
			);
			path = Scenes;
			sourceTree = "<group>";
		};
		5C348C8C24363607002E3003 /* Home */ = {
			isa = PBXGroup;
			children = (
				5C348C8D2436365A002E3003 /* Cells */,
				5C348C642436142F002E3003 /* HomeViewController.swift */,
				5C348CA12436BF86002E3003 /* HomeNavigator.swift */,
				5C348CA52436C600002E3003 /* HomeViewModel.swift */,
			);
			path = Home;
			sourceTree = "<group>";
		};
		5C348C8D2436365A002E3003 /* Cells */ = {
			isa = PBXGroup;
			children = (
				5C348C8E24363675002E3003 /* HomeTableViewCell.swift */,
			);
			path = Cells;
			sourceTree = "<group>";
		};
		5C348C902436900F002E3003 /* Utility */ = {
			isa = PBXGroup;
			children = (
				5C348C9224369042002E3003 /* Reusable.swift */,
			);
			path = Utility;
			sourceTree = "<group>";
		};
		5C348C9124369018002E3003 /* Resources */ = {
			isa = PBXGroup;
			children = (
				5C348C6924361433002E3003 /* Assets.xcassets */,
			);
			path = Resources;
			sourceTree = "<group>";
		};
		5C348C94243693A5002E3003 /* Models */ = {
			isa = PBXGroup;
			children = (
				5C348C95243693CA002E3003 /* InformationRecord.swift */,
				5C348C972436950D002E3003 /* Information.swift */,
			);
			path = Models;
			sourceTree = "<group>";
		};
		5C348C9924369693002E3003 /* Network */ = {
			isa = PBXGroup;
			children = (
				5C348C9E2436BA3F002E3003 /* API */,
				5C348C9A2436B14C002E3003 /* Network.swift */,
				5C348C9C2436B551002E3003 /* NetworkError.swift */,
				5C348CA32436C188002E3003 /* NetworkProvider.swift */,
			);
			path = Network;
			sourceTree = "<group>";
		};
		5C348C9E2436BA3F002E3003 /* API */ = {
			isa = PBXGroup;
			children = (
				5C348C9F2436BA69002E3003 /* InformationApi.swift */,
			);
			path = API;
			sourceTree = "<group>";
		};
		5C348CAF24374998002E3003 /* ViewModelTests */ = {
			isa = PBXGroup;
			children = (
				5C348CB0243749A0002E3003 /* Home */,
			);
			path = ViewModelTests;
			sourceTree = "<group>";
		};
		5C348CB0243749A0002E3003 /* Home */ = {
			isa = PBXGroup;
			children = (
				5C348CAD24371CED002E3003 /* HomeViewModelTestsUtilis.swift */,
				5C348CB1243749B0002E3003 /* HomeViewModelTests.swift */,
			);
			path = Home;
			sourceTree = "<group>";
		};
		5C348CB324374A3E002E3003 /* ModelTests */ = {
			isa = PBXGroup;
			children = (
				5C348CB424374A58002E3003 /* InformationTests.swift */,
			);
			path = ModelTests;
			sourceTree = "<group>";
		};
		5C348CB924374D75002E3003 /* NetworkTests */ = {
			isa = PBXGroup;
			children = (
				5C348CBA24374D83002E3003 /* NetworkTests.swift */,
			);
			path = NetworkTests;
			sourceTree = "<group>";
		};
		A30886D195D3F76D8C9CE530 /* Frameworks */ = {
			isa = PBXGroup;
			children = (
				B683A27FC60F9B48B086A423 /* Pods_TelstraCodingTest.framework */,
				6925B4AFE514F8746BD21484 /* Pods_TelstraCodingTestTests.framework */,
			);
			name = Frameworks;
			sourceTree = "<group>";
		};
		C235B760F44F078A4C6ECCEE /* Pods */ = {
			isa = PBXGroup;
			children = (
				0C578E8B9923BC4840087C30 /* Pods-TelstraCodingTest.debug.xcconfig */,
				C7BB6E4799026BFFED12FAB2 /* Pods-TelstraCodingTest.release.xcconfig */,
				B4046C8E0F656D7C6A616F42 /* Pods-TelstraCodingTestTests.debug.xcconfig */,
				AD33D7A735CC1447B1D877FC /* Pods-TelstraCodingTestTests.release.xcconfig */,
			);
			path = Pods;
			sourceTree = "<group>";
		};
/* End PBXGroup section */

/* Begin PBXNativeTarget section */
		5C348C5C2436142F002E3003 /* TelstraCodingTest */ = {
			isa = PBXNativeTarget;
			buildConfigurationList = 5C348C7C24361433002E3003 /* Build configuration list for PBXNativeTarget "TelstraCodingTest" */;
			buildPhases = (
				8724559A4B8D456208CE7993 /* [CP] Check Pods Manifest.lock */,
				5C348C592436142F002E3003 /* Sources */,
				5C348C5A2436142F002E3003 /* Frameworks */,
				5C348C5B2436142F002E3003 /* Resources */,
				B95BE0BB5B49BFF8A65B1DB2 /* [CP] Embed Pods Frameworks */,
			);
			buildRules = (
			);
			dependencies = (
			);
			name = TelstraCodingTest;
			productName = TelstraCodingTest;
			productReference = 5C348C5D2436142F002E3003 /* TelstraCodingTest.app */;
			productType = "com.apple.product-type.application";
		};
		5C348C7224361433002E3003 /* TelstraCodingTestTests */ = {
			isa = PBXNativeTarget;
			buildConfigurationList = 5C348C7F24361433002E3003 /* Build configuration list for PBXNativeTarget "TelstraCodingTestTests" */;
			buildPhases = (
				DCCB0A7AC8FC7BACF3AEBB04 /* [CP] Check Pods Manifest.lock */,
				5C348C6F24361433002E3003 /* Sources */,
				5C348C7024361433002E3003 /* Frameworks */,
				5C348C7124361433002E3003 /* Resources */,
			);
			buildRules = (
			);
			dependencies = (
				5C348C7524361433002E3003 /* PBXTargetDependency */,
			);
			name = TelstraCodingTestTests;
			productName = TelstraCodingTestTests;
			productReference = 5C348C7324361433002E3003 /* TelstraCodingTestTests.xctest */;
			productType = "com.apple.product-type.bundle.unit-test";
		};
/* End PBXNativeTarget section */

/* Begin PBXProject section */
		5C348C552436142E002E3003 /* Project object */ = {
			isa = PBXProject;
			attributes = {
				LastSwiftUpdateCheck = 1140;
				LastUpgradeCheck = 1140;
				ORGANIZATIONNAME = hassaneskandari;
				TargetAttributes = {
					5C348C5C2436142F002E3003 = {
						CreatedOnToolsVersion = 11.4;
					};
					5C348C7224361433002E3003 = {
						CreatedOnToolsVersion = 11.4;
						TestTargetID = 5C348C5C2436142F002E3003;
					};
				};
			};
			buildConfigurationList = 5C348C582436142E002E3003 /* Build configuration list for PBXProject "TelstraCodingTest" */;
			compatibilityVersion = "Xcode 9.3";
			developmentRegion = en;
			hasScannedForEncodings = 0;
			knownRegions = (
				en,
				Base,
			);
			mainGroup = 5C348C542436142E002E3003;
			productRefGroup = 5C348C5E2436142F002E3003 /* Products */;
			projectDirPath = "";
			projectRoot = "";
			targets = (
				5C348C5C2436142F002E3003 /* TelstraCodingTest */,
				5C348C7224361433002E3003 /* TelstraCodingTestTests */,
			);
		};
/* End PBXProject section */

/* Begin PBXResourcesBuildPhase section */
		5C348C5B2436142F002E3003 /* Resources */ = {
			isa = PBXResourcesBuildPhase;
			buildActionMask = 2147483647;
			files = (
				5C348C8A2436337F002E3003 /* Launch Screen.storyboard in Resources */,
				5C348C6A24361433002E3003 /* Assets.xcassets in Resources */,
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
		5C348C7124361433002E3003 /* Resources */ = {
			isa = PBXResourcesBuildPhase;
			buildActionMask = 2147483647;
			files = (
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
/* End PBXResourcesBuildPhase section */

/* Begin PBXShellScriptBuildPhase section */
		8724559A4B8D456208CE7993 /* [CP] Check Pods Manifest.lock */ = {
			isa = PBXShellScriptBuildPhase;
			buildActionMask = 2147483647;
			files = (
			);
			inputFileListPaths = (
			);
			inputPaths = (
				"${PODS_PODFILE_DIR_PATH}/Podfile.lock",
				"${PODS_ROOT}/Manifest.lock",
			);
			name = "[CP] Check Pods Manifest.lock";
			outputFileListPaths = (
			);
			outputPaths = (
				"$(DERIVED_FILE_DIR)/Pods-TelstraCodingTest-checkManifestLockResult.txt",
			);
			runOnlyForDeploymentPostprocessing = 0;
			shellPath = /bin/sh;
			shellScript = "diff \"${PODS_PODFILE_DIR_PATH}/Podfile.lock\" \"${PODS_ROOT}/Manifest.lock\" > /dev/null\nif [ $? != 0 ] ; then\n    # print error to STDERR\n    echo \"error: The sandbox is not in sync with the Podfile.lock. Run 'pod install' or update your CocoaPods installation.\" >&2\n    exit 1\nfi\n# This output is used by Xcode 'outputs' to avoid re-running this script phase.\necho \"SUCCESS\" > \"${SCRIPT_OUTPUT_FILE_0}\"\n";
			showEnvVarsInLog = 0;
		};
		B95BE0BB5B49BFF8A65B1DB2 /* [CP] Embed Pods Frameworks */ = {
			isa = PBXShellScriptBuildPhase;
			buildActionMask = 2147483647;
			files = (
			);
			inputFileListPaths = (
				"${PODS_ROOT}/Target Support Files/Pods-TelstraCodingTest/Pods-TelstraCodingTest-frameworks-${CONFIGURATION}-input-files.xcfilelist",
			);
			name = "[CP] Embed Pods Frameworks";
			outputFileListPaths = (
				"${PODS_ROOT}/Target Support Files/Pods-TelstraCodingTest/Pods-TelstraCodingTest-frameworks-${CONFIGURATION}-output-files.xcfilelist",
			);
			runOnlyForDeploymentPostprocessing = 0;
			shellPath = /bin/sh;
			shellScript = "\"${PODS_ROOT}/Target Support Files/Pods-TelstraCodingTest/Pods-TelstraCodingTest-frameworks.sh\"\n";
			showEnvVarsInLog = 0;
		};
		DCCB0A7AC8FC7BACF3AEBB04 /* [CP] Check Pods Manifest.lock */ = {
			isa = PBXShellScriptBuildPhase;
			buildActionMask = 2147483647;
			files = (
			);
			inputFileListPaths = (
			);
			inputPaths = (
				"${PODS_PODFILE_DIR_PATH}/Podfile.lock",
				"${PODS_ROOT}/Manifest.lock",
			);
			name = "[CP] Check Pods Manifest.lock";
			outputFileListPaths = (
			);
			outputPaths = (
				"$(DERIVED_FILE_DIR)/Pods-TelstraCodingTestTests-checkManifestLockResult.txt",
			);
			runOnlyForDeploymentPostprocessing = 0;
			shellPath = /bin/sh;
			shellScript = "diff \"${PODS_PODFILE_DIR_PATH}/Podfile.lock\" \"${PODS_ROOT}/Manifest.lock\" > /dev/null\nif [ $? != 0 ] ; then\n    # print error to STDERR\n    echo \"error: The sandbox is not in sync with the Podfile.lock. Run 'pod install' or update your CocoaPods installation.\" >&2\n    exit 1\nfi\n# This output is used by Xcode 'outputs' to avoid re-running this script phase.\necho \"SUCCESS\" > \"${SCRIPT_OUTPUT_FILE_0}\"\n";
			showEnvVarsInLog = 0;
		};
/* End PBXShellScriptBuildPhase section */

/* Begin PBXSourcesBuildPhase section */
		5C348C592436142F002E3003 /* Sources */ = {
			isa = PBXSourcesBuildPhase;
			buildActionMask = 2147483647;
			files = (
				5C348C84243619E3002E3003 /* Application.swift in Sources */,
				5C348C982436950D002E3003 /* Information.swift in Sources */,
				5C348C9B2436B14C002E3003 /* Network.swift in Sources */,
				5C348C652436142F002E3003 /* HomeViewController.swift in Sources */,
				5C348C8F24363675002E3003 /* HomeTableViewCell.swift in Sources */,
				5C348CA42436C188002E3003 /* NetworkProvider.swift in Sources */,
				5C348C612436142F002E3003 /* AppDelegate.swift in Sources */,
				5C348C9D2436B551002E3003 /* NetworkError.swift in Sources */,
				5C348CA62436C600002E3003 /* HomeViewModel.swift in Sources */,
				5C348CA02436BA69002E3003 /* InformationApi.swift in Sources */,
				5C348C9324369042002E3003 /* Reusable.swift in Sources */,
				5C348CA22436BF86002E3003 /* HomeNavigator.swift in Sources */,
				5C348C96243693CA002E3003 /* InformationRecord.swift in Sources */,
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
		5C348C6F24361433002E3003 /* Sources */ = {
			isa = PBXSourcesBuildPhase;
			buildActionMask = 2147483647;
			files = (
				5C348CB524374A58002E3003 /* InformationTests.swift in Sources */,
				5C348CAE24371CEE002E3003 /* HomeViewModelTestsUtilis.swift in Sources */,
				5C348CBB24374D83002E3003 /* NetworkTests.swift in Sources */,
				5C348CB2243749B0002E3003 /* HomeViewModelTests.swift in Sources */,
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
/* End PBXSourcesBuildPhase section */

/* Begin PBXTargetDependency section */
		5C348C7524361433002E3003 /* PBXTargetDependency */ = {
			isa = PBXTargetDependency;
			target = 5C348C5C2436142F002E3003 /* TelstraCodingTest */;
			targetProxy = 5C348C7424361433002E3003 /* PBXContainerItemProxy */;
		};
/* End PBXTargetDependency section */

/* Begin XCBuildConfiguration section */
		5C348C7A24361433002E3003 /* Debug */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				ALWAYS_SEARCH_USER_PATHS = NO;
				CLANG_ANALYZER_NONNULL = YES;
				CLANG_ANALYZER_NUMBER_OBJECT_CONVERSION = YES_AGGRESSIVE;
				CLANG_CXX_LANGUAGE_STANDARD = "gnu++14";
				CLANG_CXX_LIBRARY = "libc++";
				CLANG_ENABLE_MODULES = YES;
				CLANG_ENABLE_OBJC_ARC = YES;
				CLANG_ENABLE_OBJC_WEAK = YES;
				CLANG_WARN_BLOCK_CAPTURE_AUTORELEASING = YES;
				CLANG_WARN_BOOL_CONVERSION = YES;
				CLANG_WARN_COMMA = YES;
				CLANG_WARN_CONSTANT_CONVERSION = YES;
				CLANG_WARN_DEPRECATED_OBJC_IMPLEMENTATIONS = YES;
				CLANG_WARN_DIRECT_OBJC_ISA_USAGE = YES_ERROR;
				CLANG_WARN_DOCUMENTATION_COMMENTS = YES;
				CLANG_WARN_EMPTY_BODY = YES;
				CLANG_WARN_ENUM_CONVERSION = YES;
				CLANG_WARN_INFINITE_RECURSION = YES;
				CLANG_WARN_INT_CONVERSION = YES;
				CLANG_WARN_NON_LITERAL_NULL_CONVERSION = YES;
				CLANG_WARN_OBJC_IMPLICIT_RETAIN_SELF = YES;
				CLANG_WARN_OBJC_LITERAL_CONVERSION = YES;
				CLANG_WARN_OBJC_ROOT_CLASS = YES_ERROR;
				CLANG_WARN_RANGE_LOOP_ANALYSIS = YES;
				CLANG_WARN_STRICT_PROTOTYPES = YES;
				CLANG_WARN_SUSPICIOUS_MOVE = YES;
				CLANG_WARN_UNGUARDED_AVAILABILITY = YES_AGGRESSIVE;
				CLANG_WARN_UNREACHABLE_CODE = YES;
				CLANG_WARN__DUPLICATE_METHOD_MATCH = YES;
				COPY_PHASE_STRIP = NO;
				DEBUG_INFORMATION_FORMAT = dwarf;
				ENABLE_STRICT_OBJC_MSGSEND = YES;
				ENABLE_TESTABILITY = YES;
				GCC_C_LANGUAGE_STANDARD = gnu11;
				GCC_DYNAMIC_NO_PIC = NO;
				GCC_NO_COMMON_BLOCKS = YES;
				GCC_OPTIMIZATION_LEVEL = 0;
				GCC_PREPROCESSOR_DEFINITIONS = (
					"DEBUG=1",
					"$(inherited)",
				);
				GCC_WARN_64_TO_32_BIT_CONVERSION = YES;
				GCC_WARN_ABOUT_RETURN_TYPE = YES_ERROR;
				GCC_WARN_UNDECLARED_SELECTOR = YES;
				GCC_WARN_UNINITIALIZED_AUTOS = YES_AGGRESSIVE;
				GCC_WARN_UNUSED_FUNCTION = YES;
				GCC_WARN_UNUSED_VARIABLE = YES;
				IPHONEOS_DEPLOYMENT_TARGET = 10.0;
				MTL_ENABLE_DEBUG_INFO = INCLUDE_SOURCE;
				MTL_FAST_MATH = YES;
				ONLY_ACTIVE_ARCH = YES;
				SDKROOT = iphoneos;
				SWIFT_ACTIVE_COMPILATION_CONDITIONS = DEBUG;
				SWIFT_OPTIMIZATION_LEVEL = "-Onone";
			};
			name = Debug;
		};
		5C348C7B24361433002E3003 /* Release */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				ALWAYS_SEARCH_USER_PATHS = NO;
				CLANG_ANALYZER_NONNULL = YES;
				CLANG_ANALYZER_NUMBER_OBJECT_CONVERSION = YES_AGGRESSIVE;
				CLANG_CXX_LANGUAGE_STANDARD = "gnu++14";
				CLANG_CXX_LIBRARY = "libc++";
				CLANG_ENABLE_MODULES = YES;
				CLANG_ENABLE_OBJC_ARC = YES;
				CLANG_ENABLE_OBJC_WEAK = YES;
				CLANG_WARN_BLOCK_CAPTURE_AUTORELEASING = YES;
				CLANG_WARN_BOOL_CONVERSION = YES;
				CLANG_WARN_COMMA = YES;
				CLANG_WARN_CONSTANT_CONVERSION = YES;
				CLANG_WARN_DEPRECATED_OBJC_IMPLEMENTATIONS = YES;
				CLANG_WARN_DIRECT_OBJC_ISA_USAGE = YES_ERROR;
				CLANG_WARN_DOCUMENTATION_COMMENTS = YES;
				CLANG_WARN_EMPTY_BODY = YES;
				CLANG_WARN_ENUM_CONVERSION = YES;
				CLANG_WARN_INFINITE_RECURSION = YES;
				CLANG_WARN_INT_CONVERSION = YES;
				CLANG_WARN_NON_LITERAL_NULL_CONVERSION = YES;
				CLANG_WARN_OBJC_IMPLICIT_RETAIN_SELF = YES;
				CLANG_WARN_OBJC_LITERAL_CONVERSION = YES;
				CLANG_WARN_OBJC_ROOT_CLASS = YES_ERROR;
				CLANG_WARN_RANGE_LOOP_ANALYSIS = YES;
				CLANG_WARN_STRICT_PROTOTYPES = YES;
				CLANG_WARN_SUSPICIOUS_MOVE = YES;
				CLANG_WARN_UNGUARDED_AVAILABILITY = YES_AGGRESSIVE;
				CLANG_WARN_UNREACHABLE_CODE = YES;
				CLANG_WARN__DUPLICATE_METHOD_MATCH = YES;
				COPY_PHASE_STRIP = NO;
				DEBUG_INFORMATION_FORMAT = "dwarf-with-dsym";
				ENABLE_NS_ASSERTIONS = NO;
				ENABLE_STRICT_OBJC_MSGSEND = YES;
				GCC_C_LANGUAGE_STANDARD = gnu11;
				GCC_NO_COMMON_BLOCKS = YES;
				GCC_WARN_64_TO_32_BIT_CONVERSION = YES;
				GCC_WARN_ABOUT_RETURN_TYPE = YES_ERROR;
				GCC_WARN_UNDECLARED_SELECTOR = YES;
				GCC_WARN_UNINITIALIZED_AUTOS = YES_AGGRESSIVE;
				GCC_WARN_UNUSED_FUNCTION = YES;
				GCC_WARN_UNUSED_VARIABLE = YES;
				IPHONEOS_DEPLOYMENT_TARGET = 10.0;
				MTL_ENABLE_DEBUG_INFO = NO;
				MTL_FAST_MATH = YES;
				SDKROOT = iphoneos;
				SWIFT_COMPILATION_MODE = wholemodule;
				SWIFT_OPTIMIZATION_LEVEL = "-O";
				VALIDATE_PRODUCT = YES;
			};
			name = Release;
		};
		5C348C7D24361433002E3003 /* Debug */ = {
			isa = XCBuildConfiguration;
			baseConfigurationReference = 0C578E8B9923BC4840087C30 /* Pods-TelstraCodingTest.debug.xcconfig */;
			buildSettings = {
				ASSETCATALOG_COMPILER_APPICON_NAME = AppIcon;
				CODE_SIGN_STYLE = Automatic;
				DEVELOPMENT_TEAM = 8273NSHZUQ;
				INFOPLIST_FILE = TelstraCodingTest/Info.plist;
				LD_RUNPATH_SEARCH_PATHS = (
					"$(inherited)",
					"@executable_path/Frameworks",
				);
				PRODUCT_BUNDLE_IDENTIFIER = com.hassaneskandari.TelstraCodingTest;
				PRODUCT_NAME = "$(TARGET_NAME)";
				SWIFT_VERSION = 5.0;
				TARGETED_DEVICE_FAMILY = "1,2";
			};
			name = Debug;
		};
		5C348C7E24361433002E3003 /* Release */ = {
			isa = XCBuildConfiguration;
			baseConfigurationReference = C7BB6E4799026BFFED12FAB2 /* Pods-TelstraCodingTest.release.xcconfig */;
			buildSettings = {
				ASSETCATALOG_COMPILER_APPICON_NAME = AppIcon;
				CODE_SIGN_STYLE = Automatic;
				DEVELOPMENT_TEAM = 8273NSHZUQ;
				INFOPLIST_FILE = TelstraCodingTest/Info.plist;
				LD_RUNPATH_SEARCH_PATHS = (
					"$(inherited)",
					"@executable_path/Frameworks",
				);
				PRODUCT_BUNDLE_IDENTIFIER = com.hassaneskandari.TelstraCodingTest;
				PRODUCT_NAME = "$(TARGET_NAME)";
				SWIFT_VERSION = 5.0;
				TARGETED_DEVICE_FAMILY = "1,2";
			};
			name = Release;
		};
		5C348C8024361433002E3003 /* Debug */ = {
			isa = XCBuildConfiguration;
			baseConfigurationReference = B4046C8E0F656D7C6A616F42 /* Pods-TelstraCodingTestTests.debug.xcconfig */;
			buildSettings = {
				ALWAYS_EMBED_SWIFT_STANDARD_LIBRARIES = YES;
				BUNDLE_LOADER = "$(TEST_HOST)";
				CODE_SIGN_STYLE = Automatic;
				DEVELOPMENT_TEAM = 8273NSHZUQ;
				INFOPLIST_FILE = TelstraCodingTestTests/Info.plist;
				IPHONEOS_DEPLOYMENT_TARGET = 13.4;
				LD_RUNPATH_SEARCH_PATHS = (
					"$(inherited)",
					"@executable_path/Frameworks",
					"@loader_path/Frameworks",
				);
				PRODUCT_BUNDLE_IDENTIFIER = com.hassaneskandari.TelstraCodingTestTests;
				PRODUCT_NAME = "$(TARGET_NAME)";
				SWIFT_VERSION = 5.0;
				TARGETED_DEVICE_FAMILY = "1,2";
				TEST_HOST = "$(BUILT_PRODUCTS_DIR)/TelstraCodingTest.app/TelstraCodingTest";
			};
			name = Debug;
		};
		5C348C8124361433002E3003 /* Release */ = {
			isa = XCBuildConfiguration;
			baseConfigurationReference = AD33D7A735CC1447B1D877FC /* Pods-TelstraCodingTestTests.release.xcconfig */;
			buildSettings = {
				ALWAYS_EMBED_SWIFT_STANDARD_LIBRARIES = YES;
				BUNDLE_LOADER = "$(TEST_HOST)";
				CODE_SIGN_STYLE = Automatic;
				DEVELOPMENT_TEAM = 8273NSHZUQ;
				INFOPLIST_FILE = TelstraCodingTestTests/Info.plist;
				IPHONEOS_DEPLOYMENT_TARGET = 13.4;
				LD_RUNPATH_SEARCH_PATHS = (
					"$(inherited)",
					"@executable_path/Frameworks",
					"@loader_path/Frameworks",
				);
				PRODUCT_BUNDLE_IDENTIFIER = com.hassaneskandari.TelstraCodingTestTests;
				PRODUCT_NAME = "$(TARGET_NAME)";
				SWIFT_VERSION = 5.0;
				TARGETED_DEVICE_FAMILY = "1,2";
				TEST_HOST = "$(BUILT_PRODUCTS_DIR)/TelstraCodingTest.app/TelstraCodingTest";
			};
			name = Release;
		};
/* End XCBuildConfiguration section */

/* Begin XCConfigurationList section */
		5C348C582436142E002E3003 /* Build configuration list for PBXProject "TelstraCodingTest" */ = {
			isa = XCConfigurationList;
			buildConfigurations = (
				5C348C7A24361433002E3003 /* Debug */,
				5C348C7B24361433002E3003 /* Release */,
			);
			defaultConfigurationIsVisible = 0;
			defaultConfigurationName = Release;
		};
		5C348C7C24361433002E3003 /* Build configuration list for PBXNativeTarget "TelstraCodingTest" */ = {
			isa = XCConfigurationList;
			buildConfigurations = (
				5C348C7D24361433002E3003 /* Debug */,
				5C348C7E24361433002E3003 /* Release */,
			);
			defaultConfigurationIsVisible = 0;
			defaultConfigurationName = Release;
		};
		5C348C7F24361433002E3003 /* Build configuration list for PBXNativeTarget "TelstraCodingTestTests" */ = {
			isa = XCConfigurationList;
			buildConfigurations = (
				5C348C8024361433002E3003 /* Debug */,
				5C348C8124361433002E3003 /* Release */,
			);
			defaultConfigurationIsVisible = 0;
			defaultConfigurationName = Release;
		};
/* End XCConfigurationList section */
	};
	rootObject = 5C348C552436142E002E3003 /* Project object */;
}
